> ## Documentation Index
> Fetch the complete documentation index at: https://ton.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Extended Address Information

> Similar to previous one but tries to parse additional information for known contract types. This method is based on tonlib's function *getAccountState*. For detecting wallets we recommend to use *getWalletInformation*.



## OpenAPI

````yaml get /getExtendedAddressInformation
openapi: 3.1.0
info:
  title: TON HTTP API
  description: >

    This API enables HTTP access to TON blockchain - getting accounts and
    wallets information, looking up blocks and transactions, sending messages to
    the blockchain, calling get methods of smart contracts, and more.


    In addition to REST API, all methods are available through [JSON-RPC
    endpoint](#json%20rpc)  with `method` equal to method name and `params`
    passed as a dictionary.


    The response contains a JSON object, which always has a boolean field `ok`
    and either `error` or `result`. If `ok` equals true, the request was
    successful and the result of the query can be found in the `result` field.
    In case of an unsuccessful request, `ok` equals false and the error is
    explained in the `error`.


    API Key should be sent either as `api_key` query parameter or `X-API-Key`
    header.
  version: 2.0.0
servers:
  - url: https://toncenter.com/api/v2
  - url: https://testnet.toncenter.com/api/v2
security: []
tags:
  - name: accounts
    description: Information about accounts.
  - name: blocks
    description: Information about blocks.
  - name: transactions
    description: Fetching and locating transactions.
  - name: get config
    description: Get blockchain config
  - name: run method
    description: Run get method of smart contract.
  - name: send
    description: Send data to blockchain.
  - name: json rpc
    description: JSON-RPC endpoint.
paths:
  /getExtendedAddressInformation:
    get:
      tags:
        - accounts
      summary: Get Extended Address Information
      description: >-
        Similar to previous one but tries to parse additional information for
        known contract types. This method is based on tonlib's function
        *getAccountState*. For detecting wallets we recommend to use
        *getWalletInformation*.
      operationId: get_extended_address_information_getExtendedAddressInformation_get
      parameters:
        - description: Identifier of target TON account in any form.
          required: true
          schema:
            type: string
            title: Address
            description: Identifier of target TON account in any form.
          name: address
          in: query
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetExtendedAddressInformationResponse'
              examples:
                sample:
                  summary: Example
                  value:
                    ok: true
                    result:
                      '@type': fullAccountState
                      address:
                        '@type': accountAddress
                        account_address: EQCD39VS5jcptHL8vMjEXrzGaRcCVYto7HUn4bpAOg8xqB2N
                      balance: '1592521995920473'
                      extra_currencies: []
                      last_transaction_id:
                        '@type': internal.transactionId
                        lt: '60294179000005'
                        hash: opzfb6lX3inMMTbyvp8Z/FmrrdgZ4D/NPZvDZOkjd0E=
                      block_id:
                        '@type': ton.blockIdExt
                        workchain: -1
                        shard: '-9223372036854775808'
                        seqno: 50940791
                        root_hash: 8Zcn3qPdpJY5nBOIOG5h/v3ABrPRQoahCOgbSmmICS0=
                        file_hash: BLvAHAZGs/Zoozhdsn5VvADALGQc+CoaQBSUqj1tKWo=
                      sync_utime: 1755283118
                      account_state:
                        '@type': wallet.v3.accountState
                        wallet_id: '698983191'
                        seqno: 341
                      revision: 2
                      '@extra': 1755283135.0102983:6:0.11795169251963
        '422':
          description: Validation Error
        '504':
          description: Lite Server Timeout
      security: []
components:
  schemas:
    GetExtendedAddressInformationResponse:
      allOf:
        - $ref: '#/components/schemas/TonResponse'
        - type: object
          properties:
            result:
              $ref: '#/components/schemas/GetExtendedAddressInformationResult'
    TonResponse:
      properties:
        ok:
          type: boolean
          title: Ok
        result:
          anyOf:
            - type: string
            - items: {}
              type: array
            - type: object
          title: Result
        error:
          type: string
          title: Error
        code:
          type: integer
          title: Code
      type: object
      required:
        - ok
      title: TonResponse
    GetExtendedAddressInformationResult:
      type: object
      description: >-
        Generic account state decoded by tonlib; contract-specific
        `account_state` may contain typed fields (e.g., wallet.v3.accountState).
      properties:
        '@type':
          type: string
          example: fullAccountState
        address:
          $ref: '#/components/schemas/AccountAddress'
        balance:
          type: string
        extra_currencies:
          type: array
          items:
            type: object
        last_transaction_id:
          $ref: '#/components/schemas/InternalTransactionId'
        block_id:
          $ref: '#/components/schemas/TonBlockIdExt'
        sync_utime:
          type: integer
        account_state:
          type: object
          description: >-
            Decoded state depending on contract type. For wallets, may include
            wallet_id and seqno.
          properties:
            '@type':
              type: string
              example: wallet.v3.accountState
            wallet_id:
              type: string
            seqno:
              type: integer
          additionalProperties: true
        revision:
          type: integer
        '@extra':
          type: string
      required:
        - balance
        - last_transaction_id
    AccountAddress:
      type: object
      description: Account address object.
      properties:
        '@type':
          type: string
          example: accountAddress
        account_address:
          type: string
          description: Friendly address string.
      required:
        - account_address
    InternalTransactionId:
      type: object
      description: Internal transaction identifier.
      properties:
        '@type':
          type: string
          example: internal.transactionId
        lt:
          type: string
          description: Logical time.
        hash:
          type: string
          description: Base64 hash of the tx.
      required:
        - lt
        - hash
    TonBlockIdExt:
      type: object
      properties:
        '@type':
          type: string
          example: ton.blockIdExt
        workchain:
          type: integer
        shard:
          type: string
          description: 64-bit signed integer as string
        seqno:
          type: integer
        root_hash:
          type: string
        file_hash:
          type: string
      required:
        - workchain
        - shard
        - seqno
        - root_hash
        - file_hash
      description: Extended block identifier.

````